package com.hai.service;

import com.hai.entity.HighGasOrder;

import java.util.List;
import java.util.Map;

/**
 * 加油订单
 * @className: HighGasOrderService
 * @author: HuRui
 * @date: 2022/9/6
 **/
public interface HighGasOrderService {

    /**
     * 增加订单
     * @param gasOrder
     */
    void addGasOrder(HighGasOrder gasOrder);

    /**
     * 修改订单
     * @param gasOrder
     */
    void updateGasOrder(HighGasOrder gasOrder);

    /**
     *  根据子订单编号获取详情
     * @param childOrderNo 子订单编号
     * @return
     */
    HighGasOrder getDetailByChildOrderNo(String childOrderNo);

    /**
     * 查询交易订单号获取详情
     * @param orderNo
     * @return
     */
    HighGasOrder getDetailByOrderNo(String orderNo);

    /**
     * 查询油站订单列表
     * @param param
     * @return
     */
    List<HighGasOrder> getGasOrderList(Map<String, Object> param);


}
